Subject: [OSPF] [spring] draft-psenak-ospf-segment-routing-extensions-05

From: "Anil Kumar S N (VRP Network BL)" <[email-masked]>
Date: Mon, 2 Feb 2015 14:39:34 +0000

Hi All,

     I have a question on Adjacency Segment Identifier:
How will RTA indentify and map adj-labels originated by RTB (having unnumbered point-to-point connections b/w RTB and RTC) among labels to which link ?

Router ID
1.1.1.1            2.2.2.2                     3.3.3.3

                   +-------+  P2p Links 1-5   +-------+                   ?
                   |       +-------------+----+       |
                   |       |                  |       |
+-------+          |       +------------------+       |
|       |          |       |                  |       |
|  RTA  +----------+  RTB  +------------------+  RTC  |
|       |          |       |                  |       |
+-------+          |       +------------------+       |
                   |       |                  |       |
                   |       +------------------+       |
                   |       |                  |       |
                   +-------+                  +-------+

Router vertex 2.2.2.2
LinkType  LinkId          LinkData        Metric  IfIndex  IfType
P2P       1.1.1.1         11.0.0.112      100     0        NULL         >> Connected to Nbr vertex 1.1.1.1
P2P       3.3.3.3         12.0.0.112      100     0        NULL         >> Connected to Nbr vertex 3.3.3.3
P2P       3.3.3.3         13.0.0.112      100     0        NULL         >> Connected to Nbr vertex 3.3.3.3
P2P       3.3.3.3         14.0.0.112      100     0        NULL         >> Connected to Nbr vertex 3.3.3.3
P2P       3.3.3.3         15.0.0.112      100     0        NULL         >> Connected to Nbr vertex 3.3.3.3
P2P       3.3.3.3         16.0.0.112      100     0        NULL         >> Connected to Nbr vertex 3.3.3.3

Quick Reference RFC 2328 A.4.2 Router-LSAs [Link Type]

Type
A quick description of the router link. One of the following.
Note that host routes are classified as links to stub networks
with network mask of 0xffffffff.

Type Description
__________________________________________________
1 Point-to-point connection to another router
2 Connection to a transit network
3 Connection to a stub network
4 Virtual link

Link ID
Identifies the object that this router link connects to. Value
depends on the link's Type. When connecting to an object that
also originates an LSA (i.e., another router or a transit
network) the Link ID is equal to the neighboring LSA's Link
State ID. This provides the key for looking up the neighboring
LSA in the link state database during the routing table
calculation. See Section 12.2 for more details.

Type Link ID
______________________________________
1 Neighboring router's Router ID
2 IP address of Designated Router
3 IP network/subnet number
4 Neighboring router's Router ID

Link Data
Value again depends on the link's Type field. For connections to
stub networks, Link Data specifies the network's IP address
mask. For unnumbered point-to-point connections, it specifies
the interface's MIB-II [Ref8] ifIndex value. For the other link
types it specifies the router interface's IP address. This
latter piece of information is needed during the routing table
build process, when calculating the IP address of the next hop.
See Section 16.1.1 for more details.

With Regards
Anil S N

---

From: Peter Psenak <[email-masked]>
Date: Mon, 02 Feb 2015 17:52:31 +0100

Anil,

Adj-SID is a link attribute. Link is identified the same way as it is 
identified in the Router LSA - link-type, link-id, link-data.

for unnumbered link:

link-type = 1
link-id = Neighboring router's Router ID
link-data = interface's ifIndex

So if RTA wants to use a particular link between RTB and RTC, it needs 
to know the ifIndex of that link and pick the link based on that.

regards,
Peter

On 2/2/15 15:39 , Anil Kumar S N (VRP Network BL) wrote:
> How will RTA indentify and map adj-labels originated by RTB (having
> unnumbered point-to-point connections b/w RTB and RTC) among labels to
> which link ?
>
> Router ID
>
> 1.1.1.1            2.2.2.2                     3.3.3.3
>
>                     +-------+  P2p Links 1-5   +-------+  
>
>                     |       +-------------+----+       |
>
>                     |       |                  |       |
>
> P2P       1.1.1.1         11.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 1.1.1.1
>
> P2P       3.3.3.3         12.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 3.3.3.3
>
> P2P       3.3.3.3         13.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 3.3.3.3
>
> P2P       3.3.3.3         14.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 3.3.3.3
>
> P2P       3.3.3.3         15.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 3.3.3.3
>
> P2P       3.3.3.3         16.0.0.112      100     0        NULL
>          >> Connected to Nbr vertex 3.3.3.3
>
> calculation. See Section 12.2 <#Title_12.2>for more details.
>
> Type Link ID
> the interface's MIB-II [Ref8] <#BibRef_Ref8>ifIndex value. For the other
> link
> See Section 16.1.1 <#Title_16.1.1>for more details.
>
> With Regards
>
> Anil S N
>
>
>
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf
>